<template>
    <div class="live-block">
        <div class="live-block--title"><span>Live</span></div>
        <div class="live-block--list">
            <live-category v-for="(category, index) in categories"
                           :key="index" :category="category"
                           :show="index == 0 ? true : false">
            </live-category>
        </div>
    </div>
</template>

<script>
    import livecategory from './livecategory'

    export default {
        data() {
            return {
                categories: [
                    {
                        icon: '/img/football-ball.png',
                        title: 'Football',
                        likes: 35,
                        youtubeWatch: 10,
                        items: [
                            {
                                icon: '/img/side-img-1.png',
                                title: 'Fnl cup cyprus',
                                link: '#'

                            },
                            {
                                icon: './img/side-img-2.png',
                                title: 'Club Friendlies',
                                link: '#'
                            },{

                                icon: './img/side-img-3.png',
                                title: 'Qatar Championship',
                                link: '#'
                            },{
                                icon: './img/side-img-2.png',
                                title: 'Alternative Matches',
                                link: '#'
                            }
                        ]
                    },
                    {
                        icon: './img/ball-basscet.png',
                        title: 'Basketball',
                        likes: 3,
                        youtubeWatch: 2,
                        items: [
                            {
                                icon: './img/side-img-1.png',
                                title: 'Fnl cup cyprus',
                                link: '#'

                            },
                            {
                                icon: './img/side-img-2.png',
                                title: 'Club Friendlies',
                                link: '#'
                            },{

                                icon: './img/side-img-3.png',
                                title: 'Qatar Championship',
                                link: '#'
                            },{
                                icon: './img/side-img-2.png',
                                title: 'Alternative Matches',
                                link: '#'
                            }
                        ]
                    },
                    {
                        icon: './img/ball-volley.png',
                        title: 'Volleyball',
                        likes: 23,
                        youtubeWatch: 12,
                        items: [
                            {
                                icon: './img/side-img-1.png',
                                title: 'Fnl cup cyprus',
                                link: '#'

                            },
                            {
                                icon: './img/side-img-2.png',
                                title: 'Club Friendlies',
                                link: '#'
                            },{

                                icon: './img/side-img-3.png',
                                title: 'Qatar Championship',
                                link: '#'
                            },{
                                icon: './img/side-img-2.png',
                                title: 'Alternative Matches',
                                link: '#'
                            }
                        ]
                    },
                    
                    {
                        icon: './img/ball-golf.png',
                        title: 'golf',
                        likes: 23,
                        youtubeWatch: 12,
                        items: [
                            {
                                icon: './img/side-img-1.png',
                                title: 'Fnl cup cyprus',
                                link: '#'

                            },
                            {
                                icon: './img/side-img-2.png',
                                title: 'Club Friendlies',
                                link: '#'
                            },{

                                icon: './img/side-img-3.png',
                                title: 'Qatar Championship',
                                link: '#'
                            },{
                                icon: './img/side-img-2.png',
                                title: 'Alternative Matches',
                                link: '#'
                            }
                        ]
                    },
                    {
                        icon: './img/ball-american.png',
                        title: 'American F.',
                        likes: 23,
                        youtubeWatch: 12,
                        items: [
                            {
                                icon: './img/side-img-1.png',
                                title: 'Fnl cup cyprus',
                                link: '#'

                            },
                            {
                                icon: './img/side-img-2.png',
                                title: 'Club Friendlies',
                                link: '#'
                            },{

                                icon: './img/side-img-3.png',
                                title: 'Qatar Championship',
                                link: '#'
                            },{
                                icon: './img/side-img-2.png',
                                title: 'Alternative Matches',
                                link: '#'
                            }
                        ]
                    },
                    {
                        icon: './img/ball-billiards.png',
                        title: 'billiards',
                        likes: 23,
                        youtubeWatch: 12,
                        items: [
                            {
                                icon: './img/side-img-1.png',
                                title: 'Fnl cup cyprus',
                                link: '#'

                            },
                            {
                                icon: './img/side-img-2.png',
                                title: 'Club Friendlies',
                                link: '#'
                            },{

                                icon: './img/side-img-3.png',
                                title: 'Qatar Championship',
                                link: '#'
                            },{
                                icon: './img/side-img-2.png',
                                title: 'Alternative Matches',
                                link: '#'
                            }
                        ]
                    },
                    {
                        icon: './img/ball-baseball.png',
                        title: 'Baseball',
                        likes: 23,
                        youtubeWatch: 12,
                        items: [
                            {
                                icon: './img/side-img-1.png',
                                title: 'Fnl cup cyprus',
                                link: '#'

                            },
                            {
                                icon: './img/side-img-2.png',
                                title: 'Club Friendlies',
                                link: '#'
                            },{

                                icon: './img/side-img-3.png',
                                title: 'Qatar Championship',
                                link: '#'
                            },{
                                icon: './img/side-img-2.png',
                                title: 'Alternative Matches',
                                link: '#'
                            }
                        ]
                    },
                    {
                        icon: './img/ball-ice.png',
                        title: 'Ice hockey',
                        likes: 23,
                        youtubeWatch: 12,
                        items: [
                            {
                                icon: './img/side-img-1.png',
                                title: 'Fnl cup cyprus',
                                link: '#'

                            },
                            {
                                icon: './img/side-img-2.png',
                                title: 'Club Friendlies',
                                link: '#'
                            },{

                                icon: './img/side-img-3.png',
                                title: 'Qatar Championship',
                                link: '#'
                            },{
                                icon: './img/side-img-2.png',
                                title: 'Alternative Matches',
                                link: '#'
                            }
                        ]
                    }
                ]
            }
        },
        name: 'sidebar',
        components: {
            liveCategory: livecategory
        },


    }
</script>

<style scoped>
    .live-block {
        padding: 10px;
        max-width: 300px;
    }
    .live-block--title {
        background-image: url(/img/setka.png);
        background-position: center;
        border: 1px solid #ca8636;
        border-radius: 5px;
        height: 40px;
        width: 100%;
        display: flex;
        align-items: center;
        margin-bottom: 5px;
    }

    .live-block--title  span{
        color: #fff;
        font-size: 18px;
        text-transform: uppercase;
        font-weight: 600;
        padding-left: 50px;
    }
    .live-block--list {


    }
</style>
